<div class="profile-list-wrap">
    <div class="container">
        <div class="row mt-2 mb-2">
            <div class="col padding0px common-header-h4">
              <h4>{{'labelMyProfile' | translate: lang}}</h4>
            </div>
          </div>  
    <div class="row">
      <div class="col-md-3 padding0px profile-menu-wrap">
        <div class="user-profile">
            <app-user-profile></app-user-profile>
            <div class="profile-name">
              <div class="profile-name-wrap">
                {{'labelHello' | translate: lang}},
                <br><span>{{ userName }}</span>
              </div>
            </div>
        </div>
        <div class="user-profile-wrap mobile-tablet">
           <ul>
             <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/dashboard" ><i class="fas fa-tachometer-alt" aria-hidden="true"></i>
              <span>{{'labelDashboard' | translate: lang}}</span></li>
             <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/info"><i class="fa fa-user" aria-hidden="true"></i>
               <span>{{'labelProfileInfo' | translate: lang}}</span></li>
             <li *ngIf="userDetails && userDetails.providers === 0" class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/change-password"><i class="fa fa-key" aria-hidden="true"></i>
              <span>{{'labelChangePassword' | translate: lang}}</span></li>
             <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/address"><i class="fas fa-map-marker-alt"></i>
              <span>{{'labelManageAddress' | translate: lang}}</span></li>
             <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/notification"><i class="fa fa-bell" aria-hidden="true"></i>
              <span>{{'labelNotificationPreference' | translate: lang}}</span></li>
             <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/orders"><i class="fa fa-shopping-cart" aria-hidden="true"></i>
              <span>{{'labelMyOrders' | translate: lang}}</span></li>
             <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/rating"><i class="fa fa-star" aria-hidden="true"></i>
              <span>{{'labelReviewRating' | translate: lang}}</span></li>
             <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/wishlist"><i class="fa fa-heart" aria-hidden="true"></i>
              <span>{{'labelWishlist' | translate: lang}}</span></li>
             <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/order-complaint"><i class="fas fa-comment-dots"></i>
              <span>{{'labelOrderComplaints' | translate: lang}}</span></li>
             <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/my-wallet"><i class="far fa-money-bill-alt"></i>
              <span>{{'labelMyWallet' | translate: lang}}</span></li>
           </ul>
        </div>
        <div class="user-profile-wrap mobile-tablet-none">
          <ul>
            <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/dashboard" (click)="target.scrollIntoView()"><i class="fas fa-tachometer-alt"></i>
             <span>{{'labelDashboard' | translate: lang}}</span></li>
            <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/info" (click)="target.scrollIntoView()"><i class="fa fa-user" aria-hidden="true"></i>
              <span>{{'labelProfileInfo' | translate: lang}}</span></li>
            <li *ngIf="userDetails && userDetails.providers === 0" class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/change-password" (click)="target.scrollIntoView()"><i class="fa fa-key" aria-hidden="true"></i>
             <span>{{'labelChangePassword' | translate: lang}}</span></li>
            <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/address" (click)="target.scrollIntoView()"><i class="fas fa-map-marker-alt"></i>
             <span>{{'labelManageAddress' | translate: lang}}</span></li>
            <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/notification" (click)="target.scrollIntoView()"><i class="fa fa-bell" aria-hidden="true"></i>
             <span>{{'labelNotificationPreference' | translate: lang}}</span></li>
            <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/orders" (click)="target.scrollIntoView()" #target><i class="fa fa-shopping-cart" aria-hidden="true"></i>
             <span>{{'labelMyOrders' | translate: lang}}</span></li>
            <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/rating" (click)="target.scrollIntoView()"><i class="fa fa-star" aria-hidden="true"></i>
             <span>{{'labelReviewRating' | translate: lang}}</span></li>
            <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/wishlist" (click)="target.scrollIntoView()"><i class="fa fa-heart" aria-hidden="true"></i>
             <span>{{'labelWishlist' | translate: lang}}</span></li>
            <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/order-complaint" (click)="target.scrollIntoView()"><i class="fas fa-comment-dots"></i>
             <span>{{'labelOrderComplaints' | translate: lang}}</span></li>
            <li class="list-title" routerLinkActive="user-profile-wrap-active" routerLink="/profile/my-wallet" (click)="target.scrollIntoView()"><i class="far fa-money-bill-alt"></i>
             <span>{{'labelMyWallet' | translate: lang}}</span></li>
          </ul>
       </div>
      </div>
      <div class="col-md-9">
        <div class="profile-whistlist-wrap">
            <router-outlet></router-outlet>
        </div>
      </div>
    </div>
  </div>
</div>

